# Appfarm AI

{% hint style="info" %}
Appfarm AI is opt-in/opt-out for all customers. New solutions have Appfarm AI enabled by default. All solutions created before 01.01.2026 must opt in to use Appfarm AI (email your Appfarm point of contact for more info).
{% endhint %}

Appfarm AI enables conversational development inside Appfarm Create through [Agent mode](/reference/appfarm-ai/build.md). You can also use [Ask docs](/reference/appfarm-ai/ask.md) to quickly query our documentation and policies in the context of your Solution. Both features are accessed by clicking on the Appfarm AI star icon in the top-right corner of Appfarm Create to open the Appfarm AI sidebar.&#x20;

Read more about our [approach to AI](https://www.appfarm.io/ai/our-approach).

## Feedback

You can provide feedback to improve Appfarm AI in two different ways:

* **General feedback:** Click the three dots at the top of the AI panel and select **Give Feedback.** This will open a dialog where you can enter and submit your feedback on how to improve Appfarm AI.&#x20;
* **Response feedback:** When Appfarm AI has provided you with a response, a <i class="fa-thumbs-up">:thumbs-up:</i> button and a <i class="fa-thumbs-down">:thumbs-down:</i> button will appear at the bottom of your thread. Clicking either of these will open a dialog where you can submit your feedback on the response. The messages from your current thread will be included as context along with your feedback.

{% content-ref url="/pages/x6lfLR4sGprPwfpomYgZ" %}
[Build](/reference/appfarm-ai/build.md)
{% endcontent-ref %}

{% content-ref url="/pages/pLxJe83Mh0ZtDyKbnkii" %}
[Ask](/reference/appfarm-ai/ask.md)
{% endcontent-ref %}

{% content-ref url="/pages/G8N4Ov8sHXA6hWvFwEAM" %}
[AI credits](/reference/appfarm-ai/ai-credits.md)
{% endcontent-ref %}

{% content-ref url="/pages/zhid6l06FZmiwIwZGnA9" %}
[Context handling](/reference/appfarm-ai/context-handling.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appfarm.io/reference/appfarm-ai.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
